aboutsummaryrefslogtreecommitdiff
path: root/0.26.0_alpha1/src/clients/paludis/install_TEST
diff options
context:
space:
mode:
Diffstat (limited to '0.26.0_alpha1/src/clients/paludis/install_TEST')
-rwxr-xr-x0.26.0_alpha1/src/clients/paludis/install_TEST32
1 files changed, 32 insertions, 0 deletions
diff --git a/0.26.0_alpha1/src/clients/paludis/install_TEST b/0.26.0_alpha1/src/clients/paludis/install_TEST
new file mode 100755
index 000000000..aa9293830
--- /dev/null
+++ b/0.26.0_alpha1/src/clients/paludis/install_TEST
@@ -0,0 +1,32 @@
+#!/bin/bash
+
+PALUDIS_HOME=./install_TEST_dir/config/ ./paludis --environment :install-test \
+ --list-packages || exit 12
+
+PALUDIS_HOME=./install_TEST_dir/config/ ./paludis --environment :install-test \
+ --query test-category/target || exit 13
+
+PALUDIS_HOME=./install_TEST_dir/config/ ./paludis --environment :install-test \
+ --has-version test-category/target && exit 1
+PALUDIS_HOME=./install_TEST_dir/config/ ./paludis --environment :install-test \
+ --install target --resume-command-template `pwd`/install_TEST_dir/resume \
+ --checks always && exit 2
+( echo -n './paludis ' ; cut -d ' ' -f2- < install_TEST_dir/resume ) > install_TEST_dir/fixedresume
+cat install_TEST_dir/fixedresume
+PALUDIS_HOME=./install_TEST_dir/config/ bash `pwd`/install_TEST_dir/fixedresume --checks none || exit 3
+./install_TEST_dir/root/usr/bin/testbin | grep success >/dev/null || exit 4
+grep target install_TEST_dir/root/var/db/pkg/world >/dev/null || exit 5
+PALUDIS_HOME=./install_TEST_dir/config/ ./paludis --environment :install-test \
+ --has-version test-category/target || exit 6
+PALUDIS_HOME=./install_TEST_dir/config/ ./paludis --environment :install-test \
+ --uninstall target || exit 7
+[[ -f ./install_TEST_dir/root/usr/bin/testbin ]] && exit 8
+PALUDIS_HOME=./install_TEST_dir/config/ ./paludis --environment :install-test \
+ --has-version test-category/target && exit 9
+grep target install_TEST_dir/root/var/db/pkg/world >/dev/null && exit 10
+
+PALUDIS_HOME=./install_TEST_dir/config/ ./paludis --environment :install-test \
+ -qMD test-category/target || exit 11
+
+true
+